path: /build/build/libmediaart-media-libs-2.0-1.9.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cp *.ebuild /var/git/meta-repo/kits/gnome-kit/media-libs/libmediaart && cd /var/git/meta-repo/kits/gnome-kit/media-libs/libmediaart
    && ebuild libmediaart-1.9.6-r1.ebuild digest && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test -qt5 introspection prefix vala" emerge media-libs/libmediaart:2.0 -pv -t && \
    USE="-test -qt5 introspection prefix vala" emerge -j ${JOBS} --nodeps media-libs/libmediaart:2.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmediaart && luet-portage --dir /pkgdir/libmediaart
    media-libs/libmediaart:2.0 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1c4f95f08f1705e6ca3dba48034e0d0622422ee0d860556d46f8f14bc1e294bd
  package:
    name: libmediaart
    version: 1.9.6
    category: media-libs-2.0
    use_flags:
    - -test
    - -qt5
    - introspection
    - prefix
    - vala
    requires:
    - name: gom
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Manages, extracts and handles media art caches
    uri:
    - https://github.com/GNOME/libmediaart
    license: LGPL-2.1+
    buildtimestamp: 2023-09-13 22:29:13.115243582 +0000 UTC m=+165.544584221
    labels:
      DEPEND: '>=dev-libs/glib-2.62.2:2 !qt5? ( >=x11-libs/gdk-pixbuf-2.39.2:2 ) introspection?
        ( >=dev-libs/gobject-introspection-1.62.0:= ) qt5? ( dev-qt/qtgui:5 ) dev-libs/gobject-introspection-common
        >=dev-util/gtk-doc-am-1.8 virtual/pkgconfig vala? ( || ( dev-lang/vala:0.50[vapigen(+)]
        dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
        dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
        ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
        ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4 app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
      IUSE: +introspection -qt5 vala test
      RDEPEND: '>=dev-libs/glib-2.62.2:2 !qt5? ( >=x11-libs/gdk-pixbuf-2.39.2:2 )
        introspection? ( >=dev-libs/gobject-introspection-1.62.0:= ) qt5? ( dev-qt/qtgui:5
        )'
      emerge.packages: media-libs/libmediaart:2.0
      kit: gnome-kit
      original.package.name: media-libs/libmediaart
      original.package.slot: "2.0"
      original.package.version: 1.9.6-r1
    treedir: /build/packages
  package_dir: /pkgdir/libmediaart
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 264c9d94f9669357043c0945f77252f6b54f5b5c31a050fdb632723aa504a265
compressiontype: zstd
files:
- usr/include/libmediaart-2.0/libmediaart/cache.h
- usr/include/libmediaart-2.0/libmediaart/extract.h
- usr/include/libmediaart-2.0/libmediaart/extractgeneric.h
- usr/include/libmediaart-2.0/libmediaart/mediaart-macros.h
- usr/include/libmediaart-2.0/libmediaart/mediaart.h
- usr/lib64/girepository-1.0/MediaArt-2.0.typelib
- usr/lib64/libmediaart-2.0.so
- usr/lib64/libmediaart-2.0.so.0
- usr/lib64/libmediaart-2.0.so.0.906.0
- usr/lib64/pkgconfig/libmediaart-2.0.pc
- usr/share/doc/libmediaart-1.9.6-r1/NEWS.bz2
- usr/share/doc/libmediaart-1.9.6-r1/README.md
- usr/share/gir-1.0/MediaArt-2.0.gir
- usr/share/vala/vapi/libmediaart-2.0.deps
- usr/share/vala/vapi/libmediaart-2.0.vapi
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/BDEPEND
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/BUILD_TIME
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/CATEGORY
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/CBUILD
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/CFLAGS
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/CHOST
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/CONTENTS
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/COUNTER
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/CXXFLAGS
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/DEFINED_PHASES
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/DEPEND
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/DESCRIPTION
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/EAPI
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/FEATURES
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/HOMEPAGE
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/INHERITED
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/IUSE
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/KEYWORDS
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/LDFLAGS
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/LICENSE
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/NEEDED
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/PF
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/PROVIDES
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/RDEPEND
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/REQUIRES
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/RESTRICT
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/SIZE
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/SLOT
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/USE
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/environment.bz2
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/libmediaart-1.9.6-r1.ebuild
- var/db/pkg/media-libs/libmediaart-1.9.6-r1/repository
package_cacheimage: ""
runtime:
  name: libmediaart
  version: 1.9.6
  category: media-libs-2.0
  use_flags:
  - -test
  - -qt5
  - introspection
  - prefix
  - vala
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Manages, extracts and handles media art caches
  uri:
  - https://github.com/GNOME/libmediaart
  license: LGPL-2.1+
  labels:
    DEPEND: '>=dev-libs/glib-2.62.2:2 !qt5? ( >=x11-libs/gdk-pixbuf-2.39.2:2 ) introspection?
      ( >=dev-libs/gobject-introspection-1.62.0:= ) qt5? ( dev-qt/qtgui:5 ) dev-libs/gobject-introspection-common
      >=dev-util/gtk-doc-am-1.8 virtual/pkgconfig vala? ( || ( dev-lang/vala:0.50[vapigen(+)]
      dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)]
      dev-lang/vala:0.42[vapigen(+)] dev-lang/vala:0.40[vapigen(+)] dev-lang/vala:0.36[vapigen(+)]
      ) ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
      >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4 app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
    IUSE: +introspection -qt5 vala test
    RDEPEND: '>=dev-libs/glib-2.62.2:2 !qt5? ( >=x11-libs/gdk-pixbuf-2.39.2:2 ) introspection?
      ( >=dev-libs/gobject-introspection-1.62.0:= ) qt5? ( dev-qt/qtgui:5 )'
    emerge.packages: media-libs/libmediaart:2.0
    kit: gnome-kit
    original.package.name: media-libs/libmediaart
    original.package.slot: "2.0"
    original.package.version: 1.9.6-r1
